# Fetch onboarding status

`GET /omni/get/onboarding/status`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Check the status of onboarding session.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Represents interview id for which status is requested. If it is not present it will be read from token. |
| `api-version` | header | string | yes |  |

## Responses

### 200

onboardingStatus: String. A flag indicating current status of onboarding session. Possible values:
- ID_VALIDATION_FINISHED - User finished with capturing of ID,
- POST_PROCESSING_FINISHED - ID postprocessing finished on server,
- FACE_VALIDATION_FINISHED - User finished with selfie capture,
- ONBOARDING_FINISHED - User finished onboarding process,
- MANUAL_REVIEW_APPROVED - Session that was in Needs Review state, manually approved by Executive,
- MANUAL_REVIEW_REJECTED - Session that was in Needs Review state, manually rejected by Executive,
- UNKNOWN - Unable to determine status of onboarding session - user still didn't start onboarding or user is still in the process of capturing ID.

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
